Package org.eclipse.birt.chart.model

# Interface ModelFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ModelFactoryImpl`

public interface ModelFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `ModelPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModelFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Chart`
`createChart()`
Returns a new object of class 'Chart'.
`ChartWithAxes`
`createChartWithAxes()`
Returns a new object of class 'Chart With Axes'.
`ChartWithoutAxes`
`createChartWithoutAxes()`
Returns a new object of class 'Chart Without Axes'.
`DialChart`
`createDialChart()`
Returns a new object of class 'Dial Chart'.
`ModelPackage`
`getModelPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final ModelFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createChart

Chart createChart()
Returns a new object of class 'Chart'.

Returns:
  a new object of class 'Chart'.

### createChartWithAxes

ChartWithAxes createChartWithAxes()
Returns a new object of class 'Chart With Axes'.

Returns:
  a new object of class 'Chart With Axes'.

### createChartWithoutAxes

ChartWithoutAxes createChartWithoutAxes()
Returns a new object of class 'Chart Without Axes'.

Returns:
  a new object of class 'Chart Without Axes'.

### createDialChart

DialChart createDialChart()
Returns a new object of class 'Dial Chart'.

Returns:
  a new object of class 'Dial Chart'.

### getModelPackage

ModelPackage getModelPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.